Issue with import on CI

Hi, i am trying to solve this issue, but i don’t know how import on the CI pipeline, locally all it’s okey with the linter, but on the CI fail.

************* Module subscription.[project_name_1].asserts.dynamic.exploits-[exploit_name.exp]
122,4,import-error,import-error:pylint Unable to import ‘websockets’

Have anyone a solution? thanks

the requirements.txt its on the repo and the instalation was successfully

1 Like

Exactly, you can add a requirements.txt in the asserts folder

like this:

./subscriptions/[project_name_1]/asserts/static/requirements.txt
./subscriptions/[project_name_1]/asserts/dynamic/requirements.txt
./subscriptions/[project_name_2]/asserts/static/requirements.txt

a pip install will be run against that and shipped into the docker image

the issue was solved, the solution was add aside the import the code
# noqa
and it works, thanks